﻿using System.Web;
using System.Web.Optimization;

namespace KendoRequiredBug
{
	public class BundleConfig
	{
		// For more information on bundling, visit http://go.microsoft.com/fwlink/?LinkId=301862
		public static void RegisterBundles(BundleCollection bundles)
		{
			string kendoVersion = "2015.1.429/";

			bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
						"~/Scripts/jquery-{version}.js"));

			// Use the development version of Modernizr to develop with and learn from. Then, when you're
			// ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
			bundles.Add(new ScriptBundle("~/bundles/modernizr").Include(
						"~/Scripts/modernizr-*"));

			bundles.Add(new ScriptBundle("~/bundles/bootstrap").Include(
				string.Format("~/Scripts/kendo/{0}kendo.web.min.js", kendoVersion),
				string.Format("~/Scripts/kendo/{0}kendo.aspnetmvc.min.js", kendoVersion),
					  "~/Scripts/bootstrap.js",
					  "~/Scripts/respond.js"));

			bundles.Add(new StyleBundle("~/Content/css").Include(
				string.Format("~/Content/kendo/{0}/kendo.common.min.css", kendoVersion),
				string.Format("~/Content/kendo/{0}/kendo.common-bootstrap.min.css", kendoVersion),
				string.Format("~/Content/kendo/{0}/kendo.dataviz.min.css", kendoVersion),
				string.Format("~/Content/kendo/{0}/kendo.bootstrap.min.css", kendoVersion),
				string.Format("~/Content/kendo/{0}/kendo.dataviz.bootstrap.min.css", kendoVersion),
					  string.Format("~/Content/kendo/{0}kendo.metro.min.css", kendoVersion),
					  "~/Content/bootstrap.css",
					  "~/Content/site.css"));
		}
	}
}
